Bug 53715 - Bad floating-point values with german locale
Summary: Bad floating-point values with german locale
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: a2ps   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-16 13:42 UTC by Enrico Scholz
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-09 15:18:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-09-16 13:42:23 UTC
Description of Problem:

a2ps uses the decimal-point defined by the locale and not '.' as expected
by gv.


Version-Release number of selected component (if applicable):

a2ps-4.13b-15


Steps to Reproduce:
1. touch /tmp/foo.txt
2. LC_ALL=de_DE a2ps /tmp/foo.txt -o /tmp/foo.ps
3. gv /tmp/foo.ps


Actual Results:

Messagebox 

--------------
Error: /undefined in 15,000000
Operand stack:
   th
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   1   3   %oparray_pop   1   3
  %oparray_pop   1   3   %oparray_pop   .runexec2   --nostringval--  
--nostringval--   --nostringval--   2   %stopped_push   --nostringval--  
--nostringval--   --nostringval--
Dictionary stack:
   --dict:1026/1476(ro)(G)--   --dict:0/20(G)--   --dict:84/200(L)--  
--dict:55/200(L)--
Current allocation mode is local
Last OS error: 2
Current file position is 15989
GNU Ghostscript 6.51: Unrecoverable error, exit code 1
--------------

Comment 1 Tim Waugh 2002-01-10 13:55:19 UTC
Fixed in a2ps-4.13b-16.



Note You need to log in before you can comment on or make changes to this bug.